Page Summary
-
Begins the launch process for an agent, making it available to users.
-
An agent can only have one launch instance at a time.
-
The HTTP request uses a POST method with a specific URL format including the agent's unique identifier.
-
The request body requires an
agentLaunchobject. -
A successful response body contains an instance of
AgentLaunch.
Begins the launch process for an agent. An agent is available to users after it launches. An agent can only have one instance of launch at a time.
HTTP request
POST https://businesscommunications.googleapis.com/v1/{name=brands/*/agents/*}:requestLaunch
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The unique identifier of the agent. If the brand identifier is "1234" and the agent identifier is "5678", this parameter resolves to "brands/1234/agents/5678". |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"agentLaunch": {
object ( |
| Fields | |
|---|---|
agentLaunch |
Required. The agent launch to create. Name and Launch status are ignored. |
Response body
If successful, the response body contains an instance of AgentLaunch.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/businesscommunications
For more information, see the OAuth 2.0 Overview.